--[[-----------------------------------------------------------------------------
 Copyright (c) 2012 Sierra Wireless and others.
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v1.0
 which accompanies this distribution, and is available at
 http://www.eclipse.org/legal/epl-v10.html

 Contributors:
     Fabien Fleutot for Sierra Wireless - initial API and implementation
-----------------------------------------------------------------------------
]]

--[[-
 System related tasks

 @module system

]]

--[[------------------------------------------------------------------------------
 Initialize the module. No service provided by this module will work unless
 this initializer function has been called first.

 @function [parent=#system] init
 @return a true value upon success
 @return `nil` followed by an error message otherwise.

]]

--[[------------------------------------------------------------------------------
 Requests a reboot of the system, with an optional reason passed as a string,
 which will be logged.
 @function [parent=#system] reboot
 @param reason the (logged) reason why the reboot is requested
 @return non-nil if the request has been received.
 @return `nil` followed by an error message otherwise.

]]

return nil
